/*
 * Client main module
 * Copyright 2017, 2018 William Lupshenko
 * 
 * This file is a part of TUServer
 * 
 * TUServer is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Pirate Public License, as
 * published by William Lupshenko. See the LICENSE file for more details
 */

BigInteger = function(value) {
	return bigInt(parseInt(value));
};
Object.assign(BigInteger, bigInt);

game = {
	screen: {
		width: 320,
		height: 240
	},
	
	debugInfo: [],
	
	textures: {},
	sounds: {},
	
	locales: {},
	get currentLocale() {
		return this.locales[
			this.config.list.main.locale
		] || this.locales[
			this.config.defaultList.main.locale
		];
	},
	
	realms: {},
	get currentRealm() {
		return this.realms.gameWorld;
	},
	
	socket: {
		send: function() {},
		
		on: function() {},
		emit: function() {}
	}
};

alert = function(message) {
	return new Promise(function(resolve, reject) {
		try {
			app.sessions[
				app.virtualClient.players.current
			].reply("alert", {
				message: message
			});
			
			app.sessions[
				app.virtualClient.players.current
			].data.alert.handler = resolve;
		} catch (error) {
			console.log(error);
			
			resolve("maybe");
		}
	});
};
prompt = function(message, defaultText) {
	return new Promise(function(resolve, reject) {
		try {
			app.sessions[
				app.virtualClient.players.current
			].reply("prompt", {
				message: [
					message,
					defaultText
				]
			});
			
			app.sessions[
				app.virtualClient.players.current
			].data.prompt.handler = resolve;
		} catch (error) {
			resolve(null);
		}
	});
};
confirm = function(message) {
	return new Promise(function(resolve, reject) {
		try {
			app.sessions[
				app.virtualClient.players.current
			].reply("confirm", {
				message: message
			});
			
			app.sessions[
				app.virtualClient.players.current
			].data.confirm.handler = resolve;
		} catch (error) {
			console.log(error);
			
			resolve("maybe");
		}
	});
};
