/*
 * Client mods module
 * Copyright 2017, 2018 William Lupshenko
 * 
 * This file is a part of TUServer
 * 
 * TUServer is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Pirate Public License, as
 * published by William Lupshenko. See the LICENSE file for more details
 */

game.mods = {
	//Secondary variables
		list: {},
	
	//Methods
		load: function(name, version, description, foldersWithScripts) {
			if (name in this.list) {
				throw new ReferenceError("mod " + name + " already loaded");
			}
			
			version = version || "v1";
			description = description || "Just a mod";
			foldersWithScripts = foldersWithScripts || [];
			
			this.list[name] = {
				name: name,
				version: version,
				description: description,
				foldersWithScripts: foldersWithScripts
			};
			
			game.foldersWithScripts = game.foldersWithScripts.concat(foldersWithScripts);
		}
};
