/*
 * MultiplayerGameWorld main module
 * Copyright 2017, 2018 William Lupshenko
 * 
 * This file is a part of TUServer
 * 
 * TUServer is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Pirate Public License, as
 * published by William Lupshenko. See the LICENSE file for more details
 */

Object.defineProperty(
	game.realms.gameWorld, "currentGuiType",
	
	{
		configurable: true,
		enumerable: true,
		
		get: function() {
			return this.guiTypes[
				app.virtualClient.players.list[
					app.virtualClient.players.current 
				].currentGuiType
			];
		},
		set: function(value) {
			app.virtualClient.players.list[
				app.virtualClient.players.current 
			].currentGuiType = Object.keys(
				this.guiTypes
			)[Object.values(
				this.guiTypes
			).indexOf(value)];
		}
	}
);

game.realms.gameWorld.fail = function(playerObject) {
	var playerLogin = Object.keys(
		app.virtualClient.players.list
	)[Object.values(
		app.virtualClient.players.list
	).indexOf(playerObject)];
	
	game.realms.gameWorld.objects[[
		playerObject.x,
		playerObject.y
	]] = null;
	
	delete game.config.list.players[playerLogin];
	delete app.virtualClient.players.list[playerLogin];
	
	app.sessions[playerLogin].reply("sound", {
		sound: "entities_dying"
	});
	
	app.sessions[playerLogin].reply("alert", {
		message: "You died"
	}, true);
	
	console.log(playerLogin + " died");
	game.realms.gameWorld.guiTypes.default.writeToChat("",
		playerLogin + game.currentLocale.gui_multiplayerWorld_died,
	game.colorScheme.text_bad);
};
